package com.gxzc.zen.controller

import com.gxzc.zen.api.bus.service.IMgrFondsService
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RestController


@RestController
class ExampleController {
    companion object {
        private val logger = LoggerFactory.getLogger(ExampleController::class.java)
    }

    @Autowired
    private lateinit var mgrFondsService: IMgrFondsService

    @GetMapping("testTransaction")
    fun testTransaction() {
        mgrFondsService.testTransaction()
    }
}